var Feedback = {};
Feedback.holder;

Feedback.init = function (obj, containment) {
	Feedback.holder = obj;
	Feedback.holder.hide();

	Feedback.holder.find("#feedbackHeader span").css("pointer-events", "none");
	/* Feedback.holder.draggable({
		containment:containment,
		handle: "#feedbackHeader",
		start: Feedback.feedbackDragStart,
		stop: Feedback.feedbackDragStop	
	}); */
	Feedback.holder.css("position", "absolute");
	Feedback.holder.css("top", "45%");
	Feedback.holder.css("left", "35%");
	Feedback.holder.find("#feedbackClose").unbind();
	Feedback.holder.find("#feedbackClose").on("click", Feedback.closeFeedback);
}

Feedback.showFeedback = function (str) {
	// Feedback.holder.css("top","489px");
	// Feedback.holder.css("left","148px"); 
	Feedback.holder.find("#feedbackContent").html("<p>" + str + "</p>");
	Feedback.holder.show();
	Feedback.holder.find("#feedbackContent").scrollTop(0);
}
Feedback.orientationChange = function () {
	// Feedback.holder.css("top","489px");
	// Feedback.holder.css("left","148px"); 

}
Feedback.hideFeedback = function () {
	Feedback.holder.hide();
}


Feedback.closeFeedback = function () {
	Feedback.holder.hide();
	$(Feedback).trigger({
		type: "feedbackClosed",
		value: "none"
	});
	Feedback.holder.css("top", "30%");
	Feedback.holder.css("left", "35%");
};
Feedback.feedbackDragStart = function (evt, ui) {
	/* if($(evt.originalEvent.target).attr("id")!="feedbackHeader"){		
		evt.preventDefault();
		return;
	}
	 */

}
Feedback.feedbackDragStop = function () {
	//DataManager.isSliderLocked=false;
}